> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a bookkeeping category group

> Updates an existing bookkeeping category group in Pleo.



## OpenAPI

````yaml put /v1/bookkeeping-category-groups/{categoryGroupId}
openapi: 3.0.1
info:
  title: Chart of Accounts API
  description: Bookkeeping Core OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team.actina@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 24.14.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: BookkeepingCore
    description: This resource is associated with the BookkeepingCore API
  - name: Accounts
    description: >
      This API enables you to create an account in Pleo, search for an account
      by its ID, update details of an account recorded in Pleo, delete an
      account from Pleo, or apply specific filters to retrieve a list of
      accounts managed in Pleo.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Aggregations
    description: >-
      This API enables you to read aggregated bookkeeping category groups.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Aggregated Contra Accounts
    description: >-
      This API enables you to read aggregated contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Categories
    description: >
      This API enables you to perform operations on a bookkeeping category.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Groups
    description: >-
      This API enables you to perform operations on a bookkeeping category
      group.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Contra Accounts
    description: >
      This API enables you to manage contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes..
  - name: Bookkeeping Preferences Resource
paths:
  /v1/bookkeeping-category-groups/{categoryGroupId}:
    put:
      tags:
        - Bookkeeping Category Groups
      summary: Update a bookkeeping category group
      description: Updates an existing bookkeeping category group in Pleo.
      operationId: updateBookkeepingCategoryGroupV5
      parameters:
        - name: categoryGroupId
          in: path
          description: ID of the bookkeeping category group to update.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
          example: 123e4567-e89b-12d3-a456-426614174015
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/BookkeepingCategoryGroupUpdateRequestV5'
        required: true
      responses:
        '200':
          description: Bookkeeping category group updated successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponseBookkeepingCategoryGroupRestModelV5
              example:
                data:
                  archived: false
                  companyId: 123e4567-e89b-12d3-a456-426614174006
                  id: 123e4567-e89b-12d3-a456-426614174005
                  name: Entertainment
                  type: ENTERTAINMENT
        '404':
          description: Bookkeeping category group not found.
components:
  schemas:
    BookkeepingCategoryGroupUpdateRequestV5:
      required:
        - archived
        - name
        - type
      type: object
      properties:
        archived:
          type: boolean
          description: >-
            Boolean flag used to archive or unarchive a bookkeeping category
            group (when set to true, bookkeeping category group is neither
            visible nor usable on the platform).
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Name of the bookkeeping category group.
        type:
          $ref: '#/components/schemas/BookkeepingCategoryGroupTypeRestModelV5'
    DataResponseBookkeepingCategoryGroupRestModelV5:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BookkeepingCategoryGroupRestModelV5'
    BookkeepingCategoryGroupTypeRestModelV5:
      type: string
      description: >-
        Bookkeeping category group types supported by Pleo. Used to classify
        category groups in frontend.
      enum:
        - ENTERTAINMENT
        - EQUIPMENT_AND_HARDWARE
        - MARKETING_AND_ADVERTISING
        - MEALS_AND_DRINKS
        - OFFICE_EXPENSES
        - PHONE_AND_INTERNET
        - SERVICES_AND_CONSULTANCY
        - SOFTWARE
        - SUPPLIES
        - TRAVEL
        - OTHER
        - NO_SUITABLE_CATEGORY
    BookkeepingCategoryGroupRestModelV5:
      required:
        - archived
        - companyId
        - id
        - name
        - type
      type: object
      properties:
        archived:
          type: boolean
          description: >-
            Boolean flag used to determine if the bookkeeping category group is
            archived.
        companyId:
          type: string
          description: >-
            Pleo's internal identifier of the company the bookkeeping category
            group is associated with.
          format: uuid
        id:
          type: string
          description: Pleo's internal identifier of the bookkeeping category group.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the bookkeeping category group.
        type:
          type: string
          description: This can be one of BookkeepingCategoryGroupTypeRestModelV5 values
          example: ENTERTAINMENT
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````